/**
 * @license Copyright (c) 2017-2025, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md.
 */

'use strict';

const upath = require( 'upath' );
const copyFiles = require( './copy-files' );

/**
 * Copies umberto images to build directory.
 *
 * @param {string} themeDir
 * @param {string} outputPath
 * @returns {Promise}
 */
module.exports = ( themeDir, outputPath ) => {
	return Promise.all( [
		copyFiles(
			upath.join( themeDir, 'assets', '_fonts' ),
			upath.join( outputPath, 'fonts' )
		),
		copyFiles(
			upath.join( themeDir, 'assets', '_img' ),
			upath.join( outputPath, 'img' )
		),
		copyFiles(
			upath.join( themeDir, 'assets', '_scripts' ),
			upath.join( outputPath, 'scripts' )
		),
		copyFiles(
			upath.join( themeDir, 'assets', '_css' ),
			upath.join( outputPath, 'css' )
		)
	] );
};
